# release reconciliation with the chart and the repo this by-passes the creation of the chart script release also mentions to release in a target namespace
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: nginx-ingress
  namespace: nginx-ingress
spec:
  # Interval at which to reconcile the Helm release
  interval: 5m
  chart:
    spec:
      chart: nginx-ingress
      version: "0.11.3"
      sourceRef:
        kind: HelmRepository
        name: nginx-ingress
        namespace: nginx-ingress
  values:
    controller:
      wildcardTLS:
        secret: nginx-ingress/nginx-ingress-secret